# Label

!!! tip "Added in version 0.5.0"

A widget which displays static text, but which can also contain more complex Rich renderables.

- [ ] Focusable
- [ ] Container

## Example

The example below shows how you can use a `Label` widget to display some text.

=== "Output"

    ```{.textual path="docs/examples/widgets/label.py"}
    ```

=== "label.py"

    ```python
    --8<-- "docs/examples/widgets/label.py"
    ```

## Reactive Attributes

This widget has no reactive attributes.

## Messages

This widget posts no messages.

## Bindings

This widget has no bindings.

## Component Classes

This widget has no component classes.

---


::: textual.widgets.Label
    options:
      heading_level: 2
